> ## Documentation Index
> Fetch the complete documentation index at: https://terminal49.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List webhook IPs

> Retrieve the list of IP addresses Terminal49 uses to send webhook notifications. Use this list to whitelist Terminal49 traffic on your firewall or WAF.



## OpenAPI

````yaml get /webhooks/ips
openapi: 3.0.0
info:
  title: Terminal49 API Reference
  version: 0.2.0
  contact:
    name: Terminal49 API support
    url: https://www.terminal49.com
    email: support@terminal49.com
  description: >-
    The Terminal 49 API offers a convenient way to programmatically track your
    shipments from origin to destination.


    Please enter your API key into the "Variables" tab before using these
    endpoints within Postman.
  x-label: Beta
  termsOfService: https://www.terminal49.com/terms
servers:
  - url: https://api.terminal49.com/v2
    description: Production
security:
  - authorization: []
tags:
  - name: Containers
  - name: Custom Field Definitions
  - name: Custom Field Options
  - name: Custom Fields
  - name: Shipments
  - name: Locations
  - name: Events
  - name: Tracking Requests
  - name: Webhooks
  - name: Webhook Notifications
  - name: Ports
  - name: Metro Areas
  - name: Terminals
  - name: Routing (Paid)
  - name: Documents
  - name: Email Submissions
  - name: Document Schemas
  - name: Search
paths:
  /webhooks/ips:
    get:
      tags:
        - Webhooks
      summary: List webhook IPs
      description: >-
        Return the list of IPs used for sending webhook notifications.  This can
        be useful for whitelisting the IPs on the firewall.
      operationId: get-webhooks-ips
      parameters: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  webhook_notification_ips:
                    type: array
                    items:
                      type: string
                      format: ipv4
                  last_updated:
                    type: string
                    format: date-time
              examples:
                Example List of IPs:
                  value:
                    webhook_notification_ips:
                      - 35.222.62.171
                      - 3.230.67.145
                      - 44.217.15.129
                    last_updated: '2023-10-17T21:23:16Z'
components:
  securitySchemes:
    authorization:
      name: Authorization
      type: apiKey
      in: header
      description: >-
        Use a Terminal49 API key in the `Authorization` header with the `Token`
        prefix.


        `Authorization: Token YOUR_API_KEY`

````